Skip to content

Update Language

PUT
/api/creative/conlang/languages/{language_id}

Update a language.

language_id
required
Language Id
string
ConlangLanguageUpdate

Request to update a constructed language.

object
name
Any of:
string
>= 1 characters <= 200 characters
endonym
Any of:
string
<= 200 characters
description
Any of:
string
loreEntryId
Any of:
string
parentLanguageId
Any of:
string
familyName
Any of:
string
<= 200 characters
status
Any of:
ConlangStatus
string
Allowed values: draft active extinct proto
writingSystemName
Any of:
string
<= 200 characters
writingSystemType
Any of:
WritingSystemType
string
Allowed values: alphabet syllabary logographic abjad abugida featural
writingSystemDescription
Any of:
string
writingSystemDirection
Any of:
WritingDirection
string
Allowed values: ltr rtl ttb boustrophedon
wordOrder
Any of:
WordOrder
string
Allowed values: sov svo vso vos ovs osv free
morphologyType
Any of:
MorphologyType
string
Allowed values: isolating agglutinative fusional polysynthetic
phonotacticTemplate
Any of:
string
<= 100 characters
notes
Any of:
string

Successful Response

ConlangLanguageResponse

Full language record for API responses.

object
id
required
Id
string
projectId
required
Projectid
string
name
required
Name
string
endonym
Any of:
string
description
Description
string
""
loreEntryId
Any of:
string
parentLanguageId
Any of:
string
familyName
Any of:
string
status
Status
string
default: draft
writingSystemName
Any of:
string
writingSystemType
Any of:
string
writingSystemDescription
Writingsystemdescription
string
""
writingSystemDirection
Writingsystemdirection
string
default: ltr
wordOrder
Wordorder
string
default: sov
morphologyType
Morphologytype
string
default: agglutinative
phonotacticTemplate
Phonotactictemplate
string
default: (C)V(C)
notes
Notes
string
""
createdAt
required
Createdat
integer
modifiedAt
required
Modifiedat
integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object